package com.heyu.api.data.service.ai;
/**
* <p>
* AI智能体配置表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.ai.AiEngineEntity;
public interface AiEngineService extends IService<AiEngineEntity> {



	AiEngineEntity selectAiEngineById(Long id);


	Long insertAiEngine(AiEngineEntity aiEngine);


	Long insertOrUpdateAiEngine(AiEngineEntity aiEngine);


	int updateAiEngineById(AiEngineEntity aiEngine);


	int updateCoverAiEngineById(AiEngineEntity aiEngine);


	int deleteAiEngineById(Long id);


}